LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;
USE IEEE.NUMERIC_STD.ALL;

LIBRARY work;
USE work.YOLO_pkg.ALL;

ENTITY L6_BNROM IS
    PORT (
        clk : IN STD_LOGIC;
        coefs : OUT STD_LOGIC_VECTOR(63 DOWNTO 0); -- Instruction bus
        address : IN unsigned(7 DOWNTO 0));
END L6_BNROM;

ARCHITECTURE RTL OF L6_BNROM IS

    TYPE ROM_mem IS ARRAY (0 TO 255) OF STD_LOGIC_VECTOR(63 DOWNTO 0);

    --kernel2(bias&scale) & kernel1(bias&scale)

    signal ROM_content : ROM_mem :=
    (0=>"1111111000010010"&"0000001110001111"&"1111101101000001"&"0000010011010000",
    1=>"1111110100110101"&"0000001011010110"&"1111110000110101"&"0000001110000110",
    2=>"1111101100010100"&"0000001100011110"&"1111111000100101"&"0000001010110100",
    3=>"1111101111101001"&"0000001111000010"&"1111111101000111"&"0000001001011011",
    4=>"1111110100100011"&"0000001101011101"&"1111111011111100"&"0000001111000010",
    5=>"1111101111100010"&"0000010011001000"&"1111110110011110"&"0000001111110100",
    6=>"1111111111010010"&"0000001101101101"&"1111101010101100"&"0000010000010000",
    7=>"1111101111101000"&"0000010011101000"&"1111111101010111"&"0000000111010001",
    8=>"1111101001110111"&"0000010010001000"&"1111111100100001"&"0000001011101011",
    9=>"1111110111001111"&"0000001110111001"&"1111111100101111"&"0000001100000101",
    10=>"1111110010101011"&"0000001100001101"&"1111110110111011"&"0000001111001100",
    11=>"1111111010001100"&"0000001101010111"&"1111111100011111"&"0000001011010000",
    12=>"1111110111110000"&"0000001111001001"&"1111110110101010"&"0000001111001100",
    13=>"1111111001011011"&"0000001011001010"&"1111111010000110"&"0000001010011110",
    14=>"1111111000101001"&"0000001100110110"&"1111110011110011"&"0000001101100001",
    15=>"1111110001000100"&"0000010001010010"&"1111110100011111"&"0000010001000011",
    16=>"1111110001101011"&"0000001110100111"&"1111111111101100"&"0000001000101010",
    17=>"1111101111111011"&"0000001110100000"&"1111110101000011"&"0000010000000000",
    18=>"1111110101011000"&"0000001011011010"&"1111111011001111"&"0000001011101101",
    19=>"1111111100010001"&"0000001010000000"&"1111111101100000"&"0000001010101110",
    20=>"1111110111110110"&"0000001100011011"&"1111111001111101"&"0000001011011010",
    21=>"1111110110111101"&"0000001011111000"&"1111111111110101"&"0000001100010100",
    22=>"1111110111011000"&"0000001100101000"&"1111111100111001"&"0000001001011111",
    23=>"1111111101101011"&"0000001100100110"&"1111110110000011"&"0000001100011111",
    24=>"1111110110010001"&"0000001100111000"&"1111111000011101"&"0000001101001100",
    25=>"0000000101000000"&"0000001001111000"&"1111111001111001"&"0000001111100110",
    26=>"1111110101110110"&"0000010001001111"&"1111110101110011"&"0000001110010101",
    27=>"1111111011001101"&"0000001010110011"&"1111111000001100"&"0000001010111111",
    28=>"1111111001111001"&"0000001011011110"&"1111110100000101"&"0000010000110010",
    29=>"1111111100011011"&"0000001101010100"&"0000000000110101"&"0000001000011000",
    30=>"1111111100001010"&"0000001010111111"&"1111111000111110"&"0000010001000000",
    31=>"1111111000101011"&"0000001001000101"&"1111111010110001"&"0000001110010100",
    32=>"0000000011001101"&"0000001100000001"&"1111110100001100"&"0000001111110100",
    33=>"1111110001010010"&"0000001111110110"&"1111101111001010"&"0000001111111101",
    34=>"1111110110011001"&"0000001111100110"&"1111110010101101"&"0000010010101110",
    35=>"1111110100010010"&"0000001111000010"&"1111111100101111"&"0000001101011000",
    36=>"1111110001100011"&"0000001111110001"&"1111110000000001"&"0000010010110011",
    37=>"1111101100010010"&"0000010010101011"&"1111111000110100"&"0000001101001110",
    38=>"1111110101001100"&"0000001110101011"&"1111110100111011"&"0000001110101010",
    39=>"1111110110111001"&"0000001100100111"&"1111110011100001"&"0000001101100001",
    40=>"1111110011101110"&"0000001110110000"&"1111110001110011"&"0000001110011101",
    41=>"1111110111010110"&"0000001101101001"&"1111110011001011"&"0000010001010000",
    42=>"0000000010101001"&"0000001001000010"&"1111110100100101"&"0000001000110010",
    43=>"1111110010011011"&"0000001110000101"&"0000000001101100"&"0000001010010011",
    44=>"0000000000101101"&"0000001001011101"&"1111110100001111"&"0000001111100010",
    45=>"1111111000111011"&"0000001100010011"&"1111111100100000"&"0000001011111000",
    46=>"1111110110100111"&"0000001100111000"&"1111111101111001"&"0000001101101101",
    47=>"1111110000010100"&"0000001010000111"&"1111110101100010"&"0000001100110110",
    48=>"1111110001011100"&"0000001001011100"&"1111110011111001"&"0000001110011101",
    49=>"1111111101111001"&"0000001100011100"&"1111110111101010"&"0000001111100110",
    50=>"1111111010111110"&"0000001010100000"&"1111111100010110"&"0000000111010111",
    51=>"1111111011011101"&"0000001101100100"&"1111111000001110"&"0000001011011011",
    52=>"1111110110000111"&"0000001111000001"&"1111110010110011"&"0000001110101010",
    53=>"1111110111101011"&"0000001101011011"&"1111111010110101"&"0000001010010011",
    54=>"1111110110001001"&"0000001101000100"&"1111111010000011"&"0000001011101000",
    55=>"1111101110100110"&"0000001101110111"&"1111101111011100"&"0000001101100111",
    56=>"1111110101100110"&"0000001110000001"&"1111110010011010"&"0000010001000000",
    57=>"1111110110100001"&"0000001010001111"&"1111111011010100"&"0000001100011110",
    58=>"1111110100100010"&"0000001111001110"&"1111110110111101"&"0000001101101101",
    59=>"1111111000111000"&"0000001011000111"&"0000000000011000"&"0000000101101110",
    60=>"1111110110000001"&"0000001100010100"&"1111110011110010"&"0000001101000110",
    61=>"1111111000001011"&"0000001001111111"&"1111111100110010"&"0000001001111001",
    62=>"1111110100100011"&"0000001100110011"&"1111110010101010"&"0000001011111010",
    63=>"1111111101111000"&"0000001011110001"&"1111111000001001"&"0000001111101001",
    64=>"1111110100101111"&"0000001101010011"&"0000000000001101"&"0000001000100100",
    65=>"1111111010000000"&"0000001010011010"&"1111101000110101"&"0000010010001000",
    66=>"1111111011100010"&"0000001111100111"&"1111111010110001"&"0000001011100010",
    67=>"1111111100011001"&"0000001100100010"&"1111111001110010"&"0000001101001110",
    68=>"1111111110100100"&"0000001101010110"&"1111110111001000"&"0000001111101111",
    69=>"1111110101101001"&"0000001110101001"&"1111111001101011"&"0000001100110100",
    70=>"1111111000011010"&"0000001101001010"&"1111111010100100"&"0000001001111011",
    71=>"1111110101111000"&"0000001010011111"&"1111110100001111"&"0000001100011010",
    72=>"1111111010010000"&"0000001010000010"&"1111110000100101"&"0000001011001000",
    73=>"1111110111110000"&"0000001000000110"&"1111111000001111"&"0000001101110001",
    74=>"1111111111001111"&"0000001011000000"&"0000000001110110"&"0000001001011110",
    75=>"1111111001001100"&"0000010000000101"&"1111111000111101"&"0000001101001100",
    76=>"1111110110011101"&"0000001111100100"&"1111101101010101"&"0000010011011010",
    77=>"1111111010110111"&"0000001011110110"&"1111111101010000"&"0000001100111101",
    78=>"1111111011100101"&"0000001011010010"&"1111111000111110"&"0000001101010111",
    79=>"1111110011011010"&"0000001110110111"&"1111110111001100"&"0000001100101111",
    80=>"1111110110111001"&"0000001100000111"&"1111111011101110"&"0000001010010111",
    81=>"1111110011101101"&"0000001101100001"&"1111111010001000"&"0000001010000101",
    82=>"1111100111011101"&"0000010001101011"&"1111111000011100"&"0000001111101010",
    83=>"1111111011011000"&"0000001100010000"&"1111101100011010"&"0000001111010010",
    84=>"1111111001001110"&"0000001100101010"&"1111110100000011"&"0000001111000000",
    85=>"1111111100110100"&"0000001011010101"&"1111111101101011"&"0000000111010001",
    86=>"1111111110011000"&"0000000111110111"&"1111110001011000"&"0000001100101001",
    87=>"1111111001100010"&"0000001100010101"&"1111101010010100"&"0000010000110101",
    88=>"1111111110111000"&"0000001001111100"&"1111111101000100"&"0000001001100011",
    89=>"1111111110110100"&"0000001101110101"&"1111111000110110"&"0000001110000100",
    90=>"1111111001110111"&"0000001001011100"&"1111111010110011"&"0000001010000010",
    91=>"1111111010011000"&"0000001011110001"&"1111111010111011"&"0000001111000000",
    92=>"1111110000100110"&"0000010010111000"&"1111110101010011"&"0000001101110100",
    93=>"1111111001010110"&"0000001001100011"&"1111111111100111"&"0000001000000101",
    94=>"1111111101110110"&"0000001000010001"&"1111111001001111"&"0000001001001111",
    95=>"1111111001111010"&"0000001110000101"&"1111110100111010"&"0000010010011010",
    96=>"1111110110101111"&"0000010001100101"&"1111110010101100"&"0000010000011010",
    97=>"1111110011101110"&"0000001101010011"&"1111111110101100"&"0000001100000011",
    98=>"1111111110110000"&"0000001000100111"&"1111111001010100"&"0000001011000001",
    99=>"1111110111001001"&"0000001110001000"&"1111110010010111"&"0000001111000100",
    100=>"1111111101000101"&"0000001001101011"&"1111111001011000"&"0000001000010010",
    101=>"1111111110111000"&"0000001011000010"&"1111110010110110"&"0000001110100101",
    102=>"1111111000101010"&"0000000111010100"&"1111110010000100"&"0000010000001100",
    103=>"1111111001101010"&"0000001001010011"&"1111110111000000"&"0000001100011100",
    104=>"1111110001101010"&"0000001101111001"&"1111111000111011"&"0000001100111101",
    105=>"1111111000101101"&"0000010000011000"&"1111111010100101"&"0000001010101000",
    106=>"1111110000001000"&"0000010000111000"&"0000000000000110"&"0000001011101011",
    107=>"1111111101111110"&"0000001010000111"&"1111111010010010"&"0000001011000010",
    108=>"1111110110001001"&"0000001100011000"&"1111110101101111"&"0000001010010010",
    109=>"1111111011000100"&"0000001100001100"&"1111110100111100"&"0000010000100111",
    110=>"1111110011001000"&"0000001111101111"&"1111110110010011"&"0000001101010000",
    111=>"1111110101110011"&"0000001011100110"&"1111111101010101"&"0000001001111000",
    112=>"1111110111011100"&"0000001001001001"&"1111110110000110"&"0000001011100101",
    113=>"1111110011000010"&"0000001010110101"&"1111111001010101"&"0000001011101100",
    114=>"1111110101100001"&"0000001010000010"&"1111110100101100"&"0000001101110111",
    115=>"1111111000000100"&"0000001101111000"&"1111111100101100"&"0000001010111000",
    116=>"1111111111011111"&"0000001011111011"&"1111110000101100"&"0000010000001110",
    117=>"1111110100111001"&"0000001100010010"&"1111111001011110"&"0000001010010110",
    118=>"1111101001010111"&"0000010010001111"&"1111111001101010"&"0000001100111001",
    119=>"1111110111010011"&"0000001110001100"&"1111111100100101"&"0000001001110001",
    120=>"1111110011111011"&"0000001100101100"&"1111111000110111"&"0000001000011001",
    121=>"1111111011110010"&"0000001001000000"&"1111111000101110"&"0000001100101011",
    122=>"1111111011110111"&"0000001001111001"&"1111110010011001"&"0000010010011110",
    123=>"1111111111110111"&"0000001001101010"&"1111101111100101"&"0000001110100011",
    124=>"1111110111111000"&"0000001110111100"&"1111111100011111"&"0000001000111111",
    125=>"1111110100110000"&"0000001101100010"&"1111110111001101"&"0000001100001111",
    126=>"1111111010001111"&"0000010000100101"&"1111101100100111"&"0000001101001000",
    127=>"1111110010100110"&"0000001100100010"&"1111110010100010"&"0000001101100000",
    128=>"1111111110010111"&"0000001000101010"&"1111111010010100"&"0000000111110101",
    129=>"1111110010001010"&"0000001110110111"&"1111111101010111"&"0000001000110000",
    130=>"1111110110101100"&"0000001110101011"&"1111101110110001"&"0000010000111100",
    131=>"1111111011110110"&"0000001001101110"&"1111110111000111"&"0000001100101110",
    132=>"1111111110100001"&"0000001011000001"&"1111110111111011"&"0000001100111100",
    133=>"1111111100100001"&"0000001101001011"&"1111111010001100"&"0000001100101101",
    134=>"1111110110111100"&"0000001011010101"&"1111101101011000"&"0000001111010111",
    135=>"1111110111101101"&"0000001111000110"&"1111110101101100"&"0000010011101111",
    136=>"1111110001111011"&"0000001110100011"&"1111111001101000"&"0000001010001010",
    137=>"0000000010101011"&"0000001001001111"&"1111111010001010"&"0000001011110001",
    138=>"1111110011001101"&"0000010000110111"&"1111111001100001"&"0000001011110000",
    139=>"1111111001100011"&"0000001101010000"&"1111111100011100"&"0000001001000010",
    140=>"1111111100000000"&"0000001100110011"&"1111110010011101"&"0000001110001010",
    141=>"0000000110011010"&"0000001010010111"&"1111110101000101"&"0000010000011000",
    142=>"1111110110111101"&"0000001101010111"&"1111111101100001"&"0000001011101110",
    143=>"1111110110010110"&"0000001111000001"&"1111101111110111"&"0000010011000101",
    144=>"1111110111100000"&"0000001010111011"&"1111110100100010"&"0000001100001001",
    145=>"1111111010010011"&"0000000110101110"&"1111111111110111"&"0000000110111111",
    146=>"1111111011101011"&"0000001101001111"&"1111111101100011"&"0000001000010111",
    147=>"1111111100110110"&"0000001100010110"&"1111110010110000"&"0000001100010000",
    148=>"1111111010001000"&"0000001001011101"&"1111110000001000"&"0000010000101101",
    149=>"1111111110101000"&"0000001100001010"&"1111110100101011"&"0000001100100010",
    150=>"1111111001101110"&"0000001000110101"&"1111110101110011"&"0000001011101100",
    151=>"1111101011110010"&"0000010001001010"&"1111111010001000"&"0000001000010100",
    152=>"1111110101011010"&"0000001101010001"&"1111110101011100"&"0000001100011100",
    153=>"1111111111000011"&"0000001011000100"&"1111101010110000"&"0000001101111101",
    154=>"1111111010100001"&"0000001110100011"&"1111101111011010"&"0000010100110010",
    155=>"1111110010010100"&"0000010001100100"&"1111111000100000"&"0000001101010000",
    156=>"1111111010110100"&"0000010000011101"&"1111111101011101"&"0000001010111011",
    157=>"1111110111010111"&"0000001101000000"&"1111110100011011"&"0000001111010011",
    158=>"1111111011010110"&"0000001100111000"&"1111101011100000"&"0000010001000001",
    159=>"1111111001011110"&"0000001011010100"&"1111110110000000"&"0000001111000110",
    160=>"1111111000000110"&"0000001011101010"&"1111111010101101"&"0000001011010011",
    161=>"1111111000000100"&"0000001100000100"&"1111110000110111"&"0000001110100010",
    162=>"1111110111011110"&"0000001101011100"&"1111110111000000"&"0000010000000100",
    163=>"1111100111110111"&"0000010010101011"&"1111111111110111"&"0000001000000111",
    164=>"1111111001010011"&"0000001001110011"&"1111110111111110"&"0000001101000100",
    165=>"1111100010011101"&"0000010110011001"&"1111110100010100"&"0000001101011110",
    166=>"1111111110011100"&"0000001011011000"&"1111110010100101"&"0000010001000011",
    167=>"1111111100011010"&"0000001010011101"&"0000000000010011"&"0000001000011001",
    168=>"1111111101001011"&"0000001011001011"&"1111111011100010"&"0000001010110110",
    169=>"1111110101010101"&"0000001010111000"&"1111011001101111"&"0000001110110100",
    170=>"1111110001111111"&"0000010000001001"&"1111111001101100"&"0000000111010111",
    171=>"1111111010100110"&"0000001100111000"&"1111110100000001"&"0000001001110010",
    172=>"1111111101001111"&"0000001011111011"&"0000000000100101"&"0000001001011111",
    173=>"1111110110111000"&"0000001000011111"&"1111111001111011"&"0000001100110000",
    174=>"1111101000001001"&"0000010001000100"&"1111110011101100"&"0000001110111001",
    175=>"1111110010000111"&"0000001110110011"&"1111110110110011"&"0000001111100101",
    176=>"1111111010010101"&"0000001011101011"&"1111110011010101"&"0000001101111111",
    177=>"1111110111000101"&"0000001100111101"&"1111110100110101"&"0000001000101110",
    178=>"0000000000101010"&"0000001001110100"&"1111111000110110"&"0000001110101110",
    179=>"1111110100111011"&"0000001011010111"&"0000000111100110"&"0000001000101010",
    180=>"1111111101100100"&"0000001001010111"&"1111110101101010"&"0000001101011010",
    181=>"1111111000010100"&"0000001100011000"&"1111101110001000"&"0000010000010000",
    182=>"1111101010001100"&"0000010010110110"&"1111111000000101"&"0000001100011110",
    183=>"1111101001011111"&"0000011001000110"&"1111111100000000"&"0000000111100000",
    184=>"1111111000011000"&"0000001010101010"&"1111110101101100"&"0000001110010011",
    185=>"1111110100001010"&"0000001011000101"&"1111101001100011"&"0000010101001000",
    186=>"1111111000100001"&"0000001011010101"&"1111111100001100"&"0000001001100001",
    187=>"1111101100000011"&"0000001110111100"&"1111101111010010"&"0000001100111100",
    188=>"1111101100010011"&"0000010011101010"&"1111110010110011"&"0000001110110110",
    189=>"1111111111001011"&"0000001010101000"&"1111111010111001"&"0000001100000010",
    190=>"1111101010001011"&"0000010101110000"&"1111111011000001"&"0000001101001111",
    191=>"1111110111001110"&"0000001011001100"&"1111101011101101"&"0000010100000001",
    192=>"1111101110111110"&"0000001100000010"&"1111111001100101"&"0000001011100010",
    193=>"1111111000001100"&"0000001100010001"&"1111111010110111"&"0000001100000101",
    194=>"0000000011101001"&"0000001000101100"&"1111111001111010"&"0000001111110010",
    195=>"1111111110010100"&"0000000011011100"&"1111111000001011"&"0000001011011010",
    196=>"1111111000101110"&"0000001010001011"&"1111110100110010"&"0000001011000101",
    197=>"1111100111010010"&"0000010100011011"&"1111111110101000"&"0000001010000010",
    198=>"1111110000001110"&"0000010001110010"&"1111111011111000"&"0000000111001100",
    199=>"1111110010101000"&"0000001011000111"&"1111101110001010"&"0000010010011101",
    200=>"1111110100100000"&"0000001100101000"&"1111110111000000"&"0000001101101100",
    201=>"1111101111110101"&"0000001110010110"&"1111110000010101"&"0000001110100110",
    202=>"1111110111001000"&"0000001111000111"&"1111110110101111"&"0000001011101100",
    203=>"1111101101001000"&"0000001010100011"&"1111101000001000"&"0000010010101100",
    204=>"1111110110110010"&"0000001011001101"&"1111111000000001"&"0000001011010000",
    205=>"1111110100110101"&"0000001100001011"&"1111110101100101"&"0000010000011001",
    206=>"1111111110001110"&"0000001011011111"&"1111110110101011"&"0000001100111001",
    207=>"1111110100001000"&"0000001101111100"&"1111110111100101"&"0000001100000011",
    208=>"1111111011100100"&"0000001110111001"&"1111101110111101"&"0000001011110000",
    209=>"1111110110010100"&"0000001011000010"&"1111110100100001"&"0000001011110111",
    210=>"1111111101110000"&"0000001111011111"&"1111110011110111"&"0000001100110111",
    211=>"1111110111111110"&"0000001110000111"&"1111111000000101"&"0000001011100111",
    212=>"1111111100001110"&"0000001010011100"&"1111110111100000"&"0000001010000011",
    213=>"1111111001010111"&"0000001110100011"&"1111111100000110"&"0000001011100010",
    214=>"1111101011001000"&"0000010001110000"&"1111111001001000"&"0000010001000010",
    215=>"1111110011110110"&"0000001100111111"&"1111111001100001"&"0000001000100000",
    216=>"1111111010011011"&"0000001011010111"&"1111101010010101"&"0000010011101010",
    217=>"1111110000100010"&"0000001011100110"&"1111110111100101"&"0000001101100001",
    218=>"1111111000100110"&"0000001011010010"&"1111100101010001"&"0000010101000101",
    219=>"1111111001111001"&"0000001010111111"&"1111110111101110"&"0000001010100101",
    220=>"1111101101010001"&"0000010010001101"&"1111110110101000"&"0000001101010000",
    221=>"1111110111001100"&"0000001101101001"&"1111110100101111"&"0000001110010110",
    222=>"1111110110001000"&"0000001111000100"&"1111101011000111"&"0000001111111001",
    223=>"1111111000111111"&"0000001011110111"&"0000000011000001"&"0000000111101101",
    224=>"1111110110000001"&"0000001100011101"&"1111101111011111"&"0000001110010110",
    225=>"1111111001010110"&"0000001010101111"&"1111111111001100"&"0000000111011110",
    226=>"1111110100100001"&"0000001100111101"&"1111111010010100"&"0000001010111010",
    227=>"1111111001010100"&"0000001100011110"&"1111110011101101"&"0000001110010110",
    228=>"1111110010101111"&"0000001111110111"&"1111110111011110"&"0000001100001010",
    229=>"1111111110100000"&"0000001010100101"&"1111110010001100"&"0000001111001100",
    230=>"1111110111111101"&"0000001110000110"&"1111110110011101"&"0000001111100000",
    231=>"1111110000110101"&"0000001111001010"&"1111110100100101"&"0000010000011101",
    232=>"1111111001010011"&"0000001001010111"&"1111110010000001"&"0000010000101101",
    233=>"1111110101000000"&"0000001110100010"&"1111110111010100"&"0000001101110100",
    234=>"1111111000010010"&"0000001101110101"&"1111111010010100"&"0000001011101100",
    235=>"1111101101101010"&"0000010010011110"&"1111110110100011"&"0000010000100111",
    236=>"1111111010010001"&"0000001100100111"&"1111110010100001"&"0000001111101111",
    237=>"1111110100100010"&"0000001111011110"&"1111111111010011"&"0000000111111100",
    238=>"1111110110110110"&"0000001100000111"&"1111111001111110"&"0000001010000011",
    239=>"0000000011111010"&"0000001000000101"&"1111111101011011"&"0000001100001011",
    240=>"1111111000111000"&"0000010000000111"&"1111111010000111"&"0000001010001111",
    241=>"1111110100101010"&"0000001001010010"&"1111110100010010"&"0000010001110101",
    242=>"1111111101101000"&"0000001011100001"&"1111110011000101"&"0000001110011100",
    243=>"1111110101101010"&"0000001110000111"&"1111110101010111"&"0000001101010100",
    244=>"1111111000111001"&"0000001010000011"&"1111110011010011"&"0000001100100001",
    245=>"1111111100111101"&"0000001100001111"&"1111110110010100"&"0000001101101011",
    246=>"1111110100011010"&"0000001011111011"&"1111101011100110"&"0000010010110111",
    247=>"1111111000100111"&"0000001110001001"&"1111111100100110"&"0000001100011010",
    248=>"1111110000111001"&"0000010000010110"&"1111111001011110"&"0000001100000100",
    249=>"1111110001100101"&"0000001101100110"&"1111110111111000"&"0000001010011111",
    250=>"1111101110101101"&"0000001011010010"&"1111111001010010"&"0000001001010001",
    251=>"1111111101101100"&"0000001100110000"&"1111110110100000"&"0000001000001010",
    252=>"0000000010010000"&"0000001000110001"&"1111110111000000"&"0000001011100101",
    253=>"1111111001010010"&"0000001101111001"&"1111110111001111"&"0000001101101000",
    254=>"1111111010101000"&"0000001101100110"&"1111101101001011"&"0000010000001001",
    255=>"1111110110110011"&"0000001011010011"&"1111111001101111"&"0000001011010000"
    );

    attribute rom_style : string; 
    attribute rom_style of ROM_content : signal is "block";
BEGIN
proc_name : PROCESS (clk)
BEGIN
  IF rising_edge(clk) THEN
    coefs <= ROM_content(to_integer(address));
  END IF;
END PROCESS proc_name;END RTL;